Package com.google.protobuf

# Class GeneratedMessageLite.ExtendableBuilder<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>

All Implemented Interfaces:
  `GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType,BuilderType>`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  `GeneratedMessageLite<MessageType extends GeneratedMessageLite<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.Builder<MessageType,BuilderType>>`

public abstract static class GeneratedMessageLite.ExtendableBuilder<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>> extends GeneratedMessageLite.Builder<MessageType,BuilderType> implements GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType,BuilderType>
Lite equivalent of `GeneratedMessage.ExtendableBuilder`.

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ExtendableBuilder(MessageType defaultInstance)`

## Method Summary

Modifier and Type
Method
Description
`final <Type> BuilderType`
`addExtension(ExtensionLite<MessageType,List<Type>> extension, Type value)`
Append a value to a repeated extension.
`final MessageType`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`final BuilderType`
`clearExtension(ExtensionLite<MessageType,?> extension)`
Clear an extension.
`protected void`
`copyOnWriteInternal()`
`final <Type> Type`
`getExtension(ExtensionLite<MessageType,List<Type>> extension, int index)`
Get one element of a repeated extension.
`final <Type> Type`
`getExtension(ExtensionLite<MessageType,Type> extension)`
Get the value of an extension.
`final <Type> int`
`getExtensionCount(ExtensionLite<MessageType,List<Type>> extension)`
Get the number of elements in a repeated extension.
`final <Type> boolean`
`hasExtension(ExtensionLite<MessageType,Type> extension)`
Check if a singular extension is present.
`final <Type> BuilderType`
`setExtension(ExtensionLite<MessageType,List<Type>> extension, int index, Type value)`
Set the value of one element of a repeated extension.
`final <Type> BuilderType`
`setExtension(ExtensionLite<MessageType,Type> extension, Type value)`
Set the value of an extension.

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, clear, clone, copyOnWrite, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Constructor Details

### ExtendableBuilder

protected ExtendableBuilder(MessageType defaultInstance)

## Method Details

### copyOnWriteInternal

protected void copyOnWriteInternal()

Overrides:
  `copyOnWriteInternal` in class `GeneratedMessageLite.Builder<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>`

### buildPartial

public final MessageType buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `MessageLite.Builder`
Overrides:
  `buildPartial` in class `GeneratedMessageLite.Builder<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>`

### hasExtension

public final <Type> boolean hasExtension(ExtensionLite<MessageType,Type> extension)
Check if a singular extension is present.

Specified by:
  `hasExtension` in interface `GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>`

### getExtensionCount

public final <Type> int getExtensionCount(ExtensionLite<MessageType,List<Type>> extension)
Get the number of elements in a repeated extension.

Specified by:
  `getExtensionCount` in interface `GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>`

### getExtension

public final <Type> Type getExtension(ExtensionLite<MessageType,Type> extension)
Get the value of an extension.

Specified by:
  `getExtension` in interface `GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>`

### getExtension

public final <Type> Type getExtension(ExtensionLite<MessageType,List<Type>> extension, int index)
Get one element of a repeated extension.

Specified by:
  `getExtension` in interface `GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>`

### setExtension

public final <Type> BuilderType setExtension(ExtensionLite<MessageType,Type> extension, Type value)
Set the value of an extension.

### setExtension

public final <Type> BuilderType setExtension(ExtensionLite<MessageType,List<Type>> extension, int index, Type value)
Set the value of one element of a repeated extension.

### addExtension

public final <Type> BuilderType addExtension(ExtensionLite<MessageType,List<Type>> extension, Type value)
Append a value to a repeated extension.

### clearExtension

public final BuilderType clearExtension(ExtensionLite<MessageType,?> extension)
Clear an extension.